Subject: Re: [bug#75045] [PATCH] services: restic-backup: Implement as a Shepherd timer.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 17 Jan 2025 21:28:22 +0100

Hello,

Ludovic Courtès <[email-masked]> skribis:

> As mentioned in <https://issues.guix.gnu.org/74860>, I think we should
> postpone a little bit since these new features won’t work for people who
> haven’t rebooted into Shepherd 1.0, and they’ll get possibly confusing
> messages when reconfiguring.
>
> How we should postpone, I’m not sure.  The conservative approach would
> be to wait until after the next Guix release, but that doesn’t sound
> reasonable…  One month after the Shepherd upgrade, which would be
> Jan. 9th?  It’s common for servers to have much longer uptimes though,
> plus there’s end-of-year vacation here.

Now that <https://issues.guix.gnu.org/74860> is merged, I think we can
gradually start migrating services such as this one.  Feel free to send v2!

Ludo’.